New CFF reader requires version field

The new CITATION.cff reader requires the version field to be present. This is in accordance with the CFF standard 1.1.0 (see here). (By the way, the required date-released field is not enforced by GitHub.)

The version field presents a challenge as it would need to be updated separately. That’s one reason why the next iteration of the standard 1.2.0 will not require version to be present anymore. I would love to see this reflected GitHub’s parser, too.

1 Like

Just as a note to future readers, this has been resolved now that GitHub uses a newer version of the ruby-cff Gem :slight_smile:.